com.mockobjects.servlet

## Class MockJspWriter

- java.lang.Object
- - JspWriter
  - - com.mockobjects.servlet.MockJspWriter

-     public class MockJspWriter
      extends JspWriter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockJspWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `clearBuffer()`
    `void` | `close()`
    `void` | `flush()`
    `int` | `getRemaining()`
    `void` | `newLine()`
    `void` | `print(boolean b)`
    `void` | `print(char c)`
    `void` | `print(char[] c)`
    `void` | `print(double d)`
    `void` | `print(float f)`
    `void` | `print(int anInt)`
    `void` | `print(long aLong)`
    `void` | `print(java.lang.Object anObject)`
    `void` | `print(java.lang.String aString)`
    `void` | `println()`
    `void` | `println(boolean b)`
    `void` | `println(char c)`
    `void` | `println(char[] c)`
    `void` | `println(double d)`
    `void` | `println(float f)`
    `void` | `println(int i)`
    `void` | `println(long l)`
    `void` | `println(java.lang.Object anObject)`
    `void` | `println(java.lang.String aString)`
    `void` | `setExpectedData(java.lang.String data)`
    `void` | `verify()`
    `void` | `write(char[] buf, int off, int len)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockJspWriter

          public MockJspWriter()

  - ### Method Detail

    - #### setExpectedData

          public void setExpectedData(java.lang.String data)

    - #### newLine

          public void newLine()

    - #### flush

          public void flush()

    - #### print

          public void print(double d)

    - #### println

          public void println()

    - #### close

          public void close()

    - #### print

          public void print(int anInt)

    - #### print

          public void print(long aLong)

    - #### print

          public void print(float f)

    - #### println

          public void println(char c)

    - #### clear

          public void clear()

    - #### print

          public void print(boolean b)

    - #### print

          public void print(java.lang.String aString)

    - #### println

          public void println(java.lang.String aString)

    - #### print

          public void print(char c)

    - #### write

          public void write(char[] buf,
                            int off,
                            int len)

    - #### println

          public void println(char[] c)

    - #### println

          public void println(boolean b)

    - #### clearBuffer

          public void clearBuffer()

    - #### print

          public void print(java.lang.Object anObject)

    - #### println

          public void println(long l)

    - #### println

          public void println(int i)

    - #### print

          public void print(char[] c)

    - #### println

          public void println(float f)

    - #### println

          public void println(double d)

    - #### getRemaining

          public int getRemaining()

    - #### println

          public void println(java.lang.Object anObject)

    - #### verify

          public void verify()

Copyright © 2002 Mock Objects. All Rights Reserved.